%define name rhythmbox-scrobbler
%define version 0.0.9
%define oname rbscrobbler
%define release 1mdk

Summary: Audioscrobbler plugin for rhythmbox
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{oname}-%{version}.tar.bz2
Patch: rbscrobbler-0.0.9-pyver.patch.bz2
License: GPL
Group: Sound
Url: http://members.cox.net/alexrevo/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: pygtk2.0-devel
BuildRequires: gtk+2-devel
Requires: python-eyed3
Requires: gnome-python-extras
Requires: gnome-python-gconf
Requires: rhythmbox

%description
This adds support for Audioscrobbler/Last.fm to the rhythmbox player.

%prep
%setup -q -n %oname-%version
%patch -p1

%build
%make pyver=%pyver

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot%_bindir
%makeinstall PREFIX=%buildroot%_prefix
%if %_lib != lib
mv %buildroot%_prefix/lib %buildroot%_libdir
%endif
mv %buildroot%_prefix/man %buildroot%_datadir
#gw fix symlinks
ln -sf %_libdir/%oname/trayicon %buildroot%_datadir/%oname/
ln -sf %_datadir/%oname/%oname.py %buildroot%_bindir/%oname

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog TODO
%_bindir/%oname
%_libdir/%oname
%_mandir/man1/%oname.1*
%_datadir/%oname

%changelog
* Thu Aug 11 2005 Götz Waschk <waschk@mandriva.org> 0.0.9-1mdk
- initial package
